X2Go Bug report logs - #253
ONMainWindow::closeEvent: If statement depends on uninitialised value.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Heinrich Schuchardt <xypron.glpk@gmx.de>

Date: Fri, 28 Jun 2013 19:03:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.0

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


Message #12 received at control@bugs.x2go.org (full text, mbox, reply):

Received: (at control) by bugs.x2go.org; 29 Jun 2014 19:48:23 +0000
From x2go@ymir.das-netzwerkteam.de  Sun Jun 29 21:48:15 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS
	autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 1BC4B5DB54; Sun, 29 Jun 2014 21:48:14 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 253-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 253@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140629194815.1BC4B5DB54@ymir.das-netzwerkteam.de>
Date: Sun, 29 Jun 2014 21:48:14 +0200 (CEST)
tag #253 pending
fixed #253 4.0.2.1
thanks

Hello,

X2Go issue #253 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=a3f5434

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a3f54345646ce35eea731eeedec1550f6551f606
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sun Jun 29 21:46:53 2014 +0200

    Avoid unitialised variables on early calls of ONMainWindow::closeEvent() or ONMainWindow::closeClient(). (Fixes: #253).

diff --git a/debian/changelog b/debian/changelog
index 3ae0219..5751587 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -19,6 +19,8 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
     - Add new cmdline option --hide-foldersharing. If used, all GUI
       elements related to exporting client-side folders to X2Go sessions
       get hidden. (Fixes: #514).
+    - Avoid unitialised variables on early calls of ONMainWindow::closeEvent()
+      or ONMainWindow::closeClient(). (Fixes: #253).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 6 07:01:58 2023; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.